### Class

# Clapper ThreadedObject

#### Description [src]

    class Clapper.ThreadedObject : Gst.Object
    {
      /* No available fields */
    }

A base class for creating objects that work within a separate thread.

#### Hierarchy

#### Ancestors

- GstObject
- GInitiallyUnowned
- GObject

#### Descendants

- ClapperPlayer

#### Instance methods

###### clapper_threaded_object_get_context

Get the `GMainContext` of the thread used by this object.

##### Methods inherited from GstObject (25)

Please see GstObject for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GstObject (2)

###### Gst.Object:name

No description available.

###### Gst.Object:parent

The parent of the object. Please note, that when changing the ‘parent’ property, we don’t emit `GObject::notify` and `GstObject::deep-notify` signals due to locking issues. In some cases one can use `GstBin::element-added` or `GstBin::element-removed` signals on the parent to achieve a similar effect.

#### Signals

##### Signals inherited from GstObject (1)

###### GstObject::deep-notify

The deep notify signal is used to be notified of property changes. It is typically attached to the toplevel bin to receive notifications from all the elements contained in that bin.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct ClapperThreadedObjectClass {
      GstObjectClass parent_class;
      void (* thread_start) (
        ClapperThreadedObject* threaded_object
      );
      void (* thread_stop) (
        ClapperThreadedObject* threaded_object
      );

    }

No description available.

###### Class members

`parent_class: GstObjectClass`

  The object class structure.

`thread_start: void (* thread_start) ( ClapperThreadedObject* threaded_object )`

  Called right after thread started.

`thread_stop: void (* thread_stop) ( ClapperThreadedObject* threaded_object )`

  Called when thread is going to stop.

#### Virtual methods

###### Clapper.ThreadedObjectClass.thread_start

Called right after thread started.

###### Clapper.ThreadedObjectClass.thread_stop

Called when thread is going to stop.